### Method

# Gtk TextBufferinsert_at_cursor

#### Declaration [src]

    void
    gtk_text_buffer_insert_at_cursor (
      GtkTextBuffer* buffer,
      const char* text,
      int len
    )

#### Description [src]

Inserts `text` in `buffer`.

Simply calls `gtk_text_buffer_insert()`, using the current cursor position as the insertion point.

#### Parameters

`text`

  Type: `const char*`

  Text in UTF-8 format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `int`

  Length of text, in bytes.